Loading...
Searching...
No Matches
user_type.h File Reference
`#include "platform.h"`

Go to the source code of this file.

## Macros

#define | ETL_DECLARE_USER_TYPE(TypeName, ValueType)
#define | ETL_USER_TYPE(enum_name, value)
#define | ETL_END_USER_TYPE(TypeName)

## Macro Definition Documentation

## ETL_END_USER_TYPE

#define ETL_END_USER_TYPE | ( |  | TypeName | ) |

Value:
} \
; \
TypeName(enum_type value_) \
: value(static_cast<value_type>(value_)) \
{ \
} \
} \
;

## ETL_USER_TYPE

#define ETL_USER_TYPE | ( |  | enum_name,
|  |  | value )

Value:
enum_name = value,